package com.huigou.topsun.customer.domain.dto;

import lombok.Data;

@Data
public class SapCustomerDto {
    /**
     * 账目组
     */
    private String BU_GROUP;
    /**
     * 客户编号
     */
    private String KUNNR;
    /**
     * 业务伙伴角色
     */
    private String RLTYP;
    /**
     * 客户名称
     */
    private String NAME1;
    /**
     * 客户简称
     */
    private String BU_SORT;
    /**
     * 收货地址
     */
    private String STRAS;
    /**
     * 客户送货地址（固定）
     */
    private String STR_SUPPL3;
    /**
     * 城市
     */
    private String CITY1;
    /**
     * 国家
     */
    private String LAND1;
    /**
     * 地区
     */
    private String REGIO;
    /**
     * 语言
     */
    private String SPRAS;
    /**
     * 邮政编码
     */
    private String POST_CODE1;
    /**
     * 电话号码
     */
    private String TELF1;
    /**
     * 移动电话
     */
    private String TEL_NUMBER;
    /**
     * 传真
     */
    private String TELFX;
    /**
     * Email
     */
    private String SMTP_ADDR;
    /**
     * 开户银行代码
     */
    private String BANKL;
    /**
     * 银行账号
     */
    private String BANKN;
    /**
     * 做帐难度等级
     */
    private String KUKLA;
    /**
     * 要求用客户系统货单
     */
    private String KATR1;
    /**
     * 盖章方式
     */
    private String KATR2;
    /**
     * 请款联
     */
    private String KATR3;
    /**
     * 客户联
     */
    private String KATR4;
    /**
     * 订单要求
     */
    private String KATR5;
    /**
     * 验收单要求
     */
    private String KATR6;
    /**
     * 客户系统验收要求
     */
    private String KATR7;
    /**
     * 要求签回货单
     */
    private String KATR8;
    /**
     * 货单是否打印送货日期
     */
    private String KATR9;
    /**
     * 不开发票
     */
    private String KATR10;
    /**
     * 请款要求
     */
    private String ZT01;
    /**
     * 客户工作时间
     */
    private String ZT02;
    /**
     * 收货方签字要求
     */
    private String ZT03;
    /**
     * 货单打印要求
     */
    private String ZT04;
    /**
     * 品牌
     */
    private String ZF01;
    /**
     * 职位
     */
    private String ZF02;
    /**
     * 联系人
     */
    private String ZF03;
    /**
     * 电话号码
     */
    private String ZF04;
    /**
     * e_Mail
     */
    private String ZF05;
    /**
     * 经营类型
     */
    private String ZF06;
    /**
     * 工厂代号
     */
    private String ZF07;
    /**
     * 产品检验报告类型
     */
    private String ZF08;
    /**
     * 货单签回方式
     */
    private String ZF09;
    /**
     * 出货方式
     */
    private String ZF10;
    /**
     * 线路
     */
    private String ZF11;
    /**
     * 送货单打印默认设置
     */
    private String ZF12;
    /**
     * 送货单统计异常期限
     */
    private String ZF13;
    /**
     * 生产发货方式
     */
    private String ZF14;
    /**
     * 月结方式
     */
    private String ZF15;
    /**
     * 请款期限
     */
    private String ZF16;
    /**
     * 做账截止日
     */
    private String ZF17;
    /**
     * 客户收账截止日
     */
    private String ZF18;
    /**
     * 订单统计异常期限
     */
    private String ZF19;
    /**
     * 公司代码
     */
    private String BUKRS;
    /**
     * 统驭科目
     */
    private String AKONT;
    /**
     * 销售组织
     */
    private String VKORG;
    /**
     * 分销渠道
     */
    private String VTWEG;
    /**
     * 产品组
     */
    private String SPART;
    /**
     * 客户组
     */
    private String KDGRP;
    /**
     * 销售办公室
     */
    private String VKBUR;
    /**
     * 销售小组
     */
    private String VKGRP;
    /**
     * 客户分类
     */
    private String KLABC;
    /**
     * 币别
     */
    private String WAERS;
    /**
     * 汇率类型
     */
    private String KURST;
    /**
     * 价格清单
     */
    private String PLTYP;
    /**
     * 国际贸易条款
     */
    private String INCO1;
    /**
     * 国际贸易条款位置
     */
    private String INCO2;
    /**
     * 付款条件
     */
    private String ZTERM;
    /**
     * 客户科目分配组
     */
    private String KTGRD;
    /**
     * 税收类别
     */
    private String TATYP;
    /**
     * 客户税分类
     */
    private String TAXKD;
    /**
     * 装运条件
     */
    private String VSBED;



}
